<soap12:Envelope xmlns:wsa="http://www.w3.org/2005/08/addressing"
                 xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
    <soap12:Header>
        <wsa:Action soap12:mustUnderstand="1">urn:ihe:iti:2018:RestrictedUpdateDocumentSet</wsa:Action>
        <wsa:MessageID>urn:uuid:7f24a8b1-05f5-430f-8e2d-87b8ef91dcc0</wsa:MessageID>
        <wsa:ReplyTo>
            <wsa:Address>http://www.w3.org/2005/08/addressing/anonymous</wsa:Address>
        </wsa:ReplyTo>
        <wsa:To/>
        <wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"/>
    </soap12:Header>
    <soap12:Body>
        <a:SubmitObjectsRequest xmlns:a="urn:oasis:names:tc:ebxml-regrep:xsd:lcm:3.0"
                                xmlns:rim="urn:oasis:names:tc:ebxml-regrep:xsd:rim:3.0"
                                xmlns:rs="urn:oasis:names:tc:ebxml-regrep:xsd:rs:3.0"
        >
            <rim:RegistryObjectList>

                <!--==== Submission Part ====-->
                <rim:RegistryPackage id="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1"
                                     objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:RegistryPackage">
                    <rim:Slot name="submissionTime">
                        <rim:ValueList>
                            <rim:Value>20180115120619</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Name>
                        <rim:LocalizedString value="XDS Submission Set"/>
                    </rim:Name>
                    <rim:Classification classificationScheme="urn:uuid:aa543740-bdda-424e-8c96-df4873be8500"
                                        classifiedObject="urn:uuid:0216e18f-55d4-4593-b73d-3d23d2bab035"
                                        id="urn:uuid:05a39635-af04-4802-8c8a-7640dfde61da"
                                        nodeRepresentation="419891008"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>2.16.840.1.113883.6.96</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="Other Composition"/>
                        </rim:Name>
                    </rim:Classification>
                    <rim:Classification classificationNode="urn:uuid:a54d6aa5-d40d-43f9-88c5-b4633d873bdd"
                                        classifiedObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1"
                                        id="urn:uuid:d2947dde-7346-437b-87d5-6f4812f68509"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"/>
                    <rim:ExternalIdentifier id="urn:uuid:f602bd54-7716-4318-9c69-70e65b4e458e"
                                            identificationScheme="urn:uuid:96fdda7c-d067-4183-912e-bf5ee74998a8"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1"
                                            value="1.3.6.1.4.1.12559.11.1.2.2.1.1.4.101633">
                        <rim:Name>
                            <rim:LocalizedString value="XDSSubmissionSet.uniqueId"/>
                        </rim:Name>
                    </rim:ExternalIdentifier>
                    <rim:ExternalIdentifier id="c5a27d7a-069a-43c9-b3d5-495110b61575"
                                            identificationScheme="urn:uuid:6b5aea1a-874d-4603-a4bc-96a0a7b38446"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1"
                                            value="CHPAM38^^^&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO">
                        <rim:Name>
                            <rim:LocalizedString value="XDSSubmissionSet.patientId"/>
                        </rim:Name>
                    </rim:ExternalIdentifier>
                </rim:RegistryPackage>
                <!--==== /Submission Part ====-->

                <!--==== Folder Part ====-->
                <rim:RegistryPackage id="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a"
                                     objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:RegistryPackage"
                                     status="urn:oasis:names:tc:ebxml-regrep:StatusType:Approved"
                                     home="urn:oid:1.2.3.4.5.6.2.333.23">
                    <rim:Slot name="lastUpdateTime">
                        <rim:ValueList>
                            <rim:Value>20180115120619</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Name>
                        <rim:LocalizedString value="XDS Folder 1"/>
                    </rim:Name>
                    <rim:Classification classificationScheme="urn:uuid:1ba97051-7806-41a8-a48b-8fce7af683c5"
                                        classifiedObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a"
                                        id="urn:uuid:1ebeeb2e-3e78-4132-a8d9-65120824b764"
                                        nodeRepresentation="Referrals"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>Connect-a-thon folderCodeList</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="Referrals"/>
                        </rim:Name>
                    </rim:Classification>
                    <rim:Classification classificationNode="urn:uuid:d9d542f3-6cc4-48b6-8870-ea235fbc94c2"
                                        classifiedObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a"
                                        id="urn:uuid:a6faddff-c304-42e3-9645-750e975d0470"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"/>
                    <rim:ExternalIdentifier id="urn:uuid:72c6f02b-0fd0-499a-bdbe-4089ac929d95"
                                            identificationScheme="urn:uuid:75df8f67-9973-4fbe-a900-df66cefecc5a"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a"
                                            value="1.3.6.1.4.1.12559.11.1.2.2.1.1.4.101633">
                        <rim:Name>
                            <rim:LocalizedString value="XDSFolder.uniqueId"/>
                        </rim:Name>
                    </rim:ExternalIdentifier>
                    <rim:ExternalIdentifier id="4c762dfb-fba3-4567-95da-2afcb91828a2"
                                            identificationScheme="urn:uuid:f64ffdf0-4b97-4e06-b79f-a52b38ec2f8a"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a"
                                            value="CHPAM38^^^&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO">
                        <rim:Name>
                            <rim:LocalizedString value="XDSFolder.patientId"/>
                        </rim:Name>
                    </rim:ExternalIdentifier>
                </rim:RegistryPackage>
                <!--==== /Folder Part ====-->

                <rim:Association associationType="urn:oasis:names:tc:ebxml-regrep:AssociationType:HasMember"
                                 id="efd55471-b598-4c13-870c-202360a8450d"
                                 sourceObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1"
                                 targetObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a"/>

                <!--==== Document Entry Part ====-->
                <rim:ExtrinsicObject id="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" mimeType="text/xml"
                                     objectType="urn:uuid:7edca82f-054d-47f2-a032-9b2a5b5186c1"
                                     status="urn:oasis:names:tc:ebxml-regrep:StatusType:Approved"
                                     lid="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                     home="urn:oid:1.2.3.4.5.6.2.333.23">
                    <rim:Slot name="repositoryUniqueId">
                        <rim:ValueList>
                            <rim:Value>1.3.6.1.4.1.12559.11.25.1.11.2</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Slot name="hash">
                        <rim:ValueList>
                            <rim:Value>e564e98733d1ecdff0255fe0b50a33075940015c</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Slot name="size">
                        <rim:ValueList>
                            <rim:Value>9995</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Slot name="languageCode">
                        <rim:ValueList>
                            <rim:Value>en-us</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Slot name="creationTime">
                        <rim:ValueList>
                            <rim:Value>20180712030836</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Slot name="sourcePatientId">
                        <rim:ValueList>
                            <rim:Value>CHPAM38^^^&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Name>
                        <rim:LocalizedString value="XDSDocument Entry 1"/>
                    </rim:Name>
                    <rim:VersionInfo versionName="1"/>
                    <rim:Classification classificationScheme="urn:uuid:41a5887f-8865-4c09-adf7-e362475b143a"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:6e9c5cff-a1db-4e62-93fd-a257fccc83d5"
                                        nodeRepresentation="1241000195103"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>2.16.840.1.113883.6.96</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="Note on Procedure (record artifact)"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:Classification>
                    <rim:Classification classificationScheme="urn:uuid:f4f85eac-e6cb-4883-b524-f2705394840f"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:de59c2f8-75a2-4d1b-80ed-c491666b30b3"
                                        nodeRepresentation="1131000195104"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>2.16.840.1.113883.6.96</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="eingeschr?nkt"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:Classification>
                    <rim:Classification classificationScheme="urn:uuid:a09d5840-386c-46f2-b5ad-9c3699a4309d"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:32641cd9-b238-4d56-99ed-1a97d7c85aeb" nodeRepresentation="*"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>2.16.756.5.30.1.127.77.10.5.2</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="*"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:Classification>
                    <rim:Classification classificationScheme="urn:uuid:f33fb8ac-18af-42cc-ae0e-ed0b0bdb91e1"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:0e941bd5-e24b-418f-b527-92e0db255fff"
                                        nodeRepresentation="394778007"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>2.16.840.1.113883.6.96</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="Client's or patient's home (environment)"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:Classification>
                    <rim:Classification classificationScheme="urn:uuid:cccf5598-8b07-4b77-a05e-ae952c785ead"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:dc659cbe-b5b5-4235-a9b0-fbb9a2de2746" nodeRepresentation="8918198"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>2.16.840.1.113883.6.96</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="Community Medication Treatment Plan"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:Classification>
                    <rim:Classification classificationScheme="urn:uuid:f0306f51-975f-434e-a61c-c59651d33983"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:b6e6d57d-eae0-4391-9146-90aabaff52f9"
                                        nodeRepresentation="721912009"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification">
                        <rim:Slot name="codingScheme">
                            <rim:ValueList>
                                <rim:Value>2.16.840.1.113883.6.96</rim:Value>
                            </rim:ValueList>
                        </rim:Slot>
                        <rim:Name>
                            <rim:LocalizedString value="Medication summary document (record artifact)"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:Classification>
                    <rim:ExternalIdentifier id="urn:uuid:7d976a2b-8784-41fc-a939-af0b0d71cbcd"
                                            identificationScheme="urn:uuid:2e82c1f6-a085-4c72-9da3-8640a32e42ab"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                            value="1.3.6.1.4.1.12559.11.25.1.16.2.20171010072756850">
                        <rim:Name>
                            <rim:LocalizedString value="XDSDocumentEntry.uniqueId"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:ExternalIdentifier>
                    <rim:ExternalIdentifier id="urn:uuid:355feb7f-a3d2-41f5-9e4e-698ed3ffc4bd"
                                            identificationScheme="urn:uuid:58a6f841-87b3-4a3e-92fd-a8ffeff98427"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                            value="CHPAM38^^^&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO">
                        <rim:Name>
                            <rim:LocalizedString value="XDSDocumentEntry.patientId"/>
                        </rim:Name>
                        <rim:VersionInfo versionName="1"/>
                    </rim:ExternalIdentifier>
                </rim:ExtrinsicObject>
                <!--==== /Document Entry Part ====-->

                <rim:Association associationType="urn:oasis:names:tc:ebxml-regrep:AssociationType:HasMember"
                                 id="98359cee-59bb-4f9d-a199-151e933eeb66"
                                 sourceObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1"
                                 targetObject="urn:uuid:e72a86d7-9d50-4b24-9c8c-2f57f6560ff8">
                    <rim:Slot name="SubmissionSetStatus">
                        <rim:ValueList>
                            <rim:Value>Original</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                    <rim:Slot name="PreviousVersion">
                        <rim:ValueList>
                            <rim:Value>1</rim:Value>
                        </rim:ValueList>
                    </rim:Slot>
                </rim:Association>

            </rim:RegistryObjectList>
        </a:SubmitObjectsRequest>
    </soap12:Body>
</soap12:Envelope>
